App({
    onLaunch: function() {
        var t = this, e = this;
        wx.getSystemInfo({
            success: function(t) {
                var s;
                console.log(t), s = -1 !== t.model.indexOf("iPhone") ? 44 : 48, e.globalData.statusBarHeight = t.statusBarHeight, 
                e.globalData.titleBarHeight = s;
            },
            failure: function(t) {
                console.log(t), e.globalData.statusBarHeight = 0, e.globalData.titleBarHeight = 0;
            }
        });
        var s = wx.getStorageSync("logs") || [];
        s.unshift(Date.now()), wx.setStorageSync("logs", s), wx.login({
            success: function(t) {}
        }), wx.getSetting({
            success: function(e) {
                e.authSetting["scope.userInfo"] && wx.getUserInfo({
                    success: function(e) {
                        t.globalData.userInfo = e.userInfo, t.userInfoReadyCallback && t.userInfoReadyCallback(e);
                    }
                });
            }
        });
    },
    globalData: {
        userInfo: null,
        lib_id: ""
    },
    util: require("we7/resource/js/util.js"),
    siteInfo: require("siteinfo.js")
});